Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

Pause em Vba??

Dúvidas sobre VB para AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
Gilson_duda
Concreto
Concreto
Mensagens: 62
Registrado em: Ter 08 Ago 2006 12:00:00 am

Pause em Vba??

Mensagem por Gilson_duda » Qui 21 Ago 2008 2:39:12 pm

Em AutoLisp quando quero inserir um bloco. E quero que o usuario escolha o angulo que vai ficar o bloco faço assim:
(command "_Insert" "C:\\bloco.dwg" pt "1" "1" pause)

O pause serve para deixar que o usuario escolha o angulo que quer que fique o bloco.

Como ficaria esse "pause" no Vba???

Avatar do usuário
cleyson
Prata 1/3
Prata 1/3
Mensagens: 430
Registrado em: Seg 19 Jun 2006 12:00:00 am

Respondendo ...

Mensagem por cleyson » Sex 22 Ago 2008 1:43:06 pm

Boa Tarde Companheiro ...

Segue Exemplo:

Sub teste()
On Error GoTo erro_Insert
'Captura Ponto
Dim pontoInsert As Variant ' Ponto de inserção a ser inserido o Bloco
Dim blockRefObj As AcadBlockReference
Dim nomeBloco As String
Dim ang As Double
'Dim varAtts As Variant

'Nome do Bloco Torre
nomeBloco = "atp_vida.dwg"


'Solicita Ponto de Inserção
pontoInsert = ThisDrawing.Utility.GetPoint(, "Indique o Ponto de Inserção: ")

'Verifica se usuário informou Ponto
If IsNull(pontoInsert) Then
MsgBox "Não indicou o Ponto Boca de Burro!"
Exit Sub
End If

'Inserindo Objeto Solicidando Angulo
Set blockRefObj = ThisDrawing.ModelSpace.InsertBlock(pontoInsert, nomeBloco, 1#, 1#, 1#, ThisDrawing.Utility.GetAngle(, "Informe o Angulo: "))


'Codigo para Gravar Atributos no Bloco
'varAtts = blockRefObj.GetAttributes
'varAtts(0).TextString = "atributo1"
'varAtts(1).TextString = "atributo2"

erro_Insert:
If Err.Number = -2147352567 Then 'o usuario apertou "Esc" ou não selecionou um ponto válido, apresenta uma mensagem
MsgBox "O Usuário fez cagada!", vbInformation, "Erro de Usuário"
'Else 'qualquer outro erro, mostra a descrição
'MsgBox Err.Description
End If

End Sub


Atenciosamente
Cleyson Cloves do Carmo
Cuiabá - Mato Grosso
“Na morte que me sigam, pois não deixo ninguém a chorar”. Cleyson
“Na vida as horas passam e tudo se renova, não invoque a morte, amanhã é um novo dia”. Cleyson
“Deus fez os caminhos, o homem faz o destino” Cleyson

Avatar do usuário
Gilson_duda
Concreto
Concreto
Mensagens: 62
Registrado em: Ter 08 Ago 2006 12:00:00 am

Mensagem por Gilson_duda » Sex 22 Ago 2008 2:01:31 pm

Valew cleyson.
Grato pelas ajudas que tem me dado com Vba..

Responder